#!/usr/bin/env python

from os.path import join, dirname
from setuptools import setup, find_packages
from check_vmware import __version__

setup(
    name='check_vmware',
    version=__version__,
    description='Query performance data from a vSphere API server.',
    author='OP5',
    packages=find_packages(),
    zip_safe=False,
    include_package_data=True,
    install_requires=[
        'click',
        'flask',
        'flask-caching',
        'gunicorn',
        'nagiosplugin',
        'pyvmomi',
        'redis',
        'requests',
        'schematics',
        'werkzeug'
    ],
    entry_points={
        'console_scripts': [
            'check_vmware_v2 = check_vmware.cli.main:main'
        ]
    }
)
